Package: grails.dev.commands.template

## [Groovy] Interface TemplateRenderer

- API for locating and rendering templates in the code generation layer

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `render(java.util.Map<java.lang.String, java.lang.Object> namedArguments)` Render with the given named arguments
    `` | `void` | `render(java.lang.CharSequence template, java.io.File destination, Model model)` Render the given template to the give destination for the given model
    `` | `void` | `render(java.lang.CharSequence template, java.io.File destination)` Render the given template to the given destination
    `` | `void` | `render(java.lang.CharSequence template, java.io.File destination, java.util.Map model)` Render the given template to the given destination
    `` | `void` | `render(java.lang.CharSequence template, java.io.File destination, java.util.Map model, boolean overwrite)` Render the given template to the given destination
    `` | `void` | `render(java.io.File template, java.io.File destination, Model model)` Render the given template to the give destination for the given model
    `` | `void` | `render(java.io.File template, java.io.File destination)` Render the given template to the given destination
    `` | `void` | `render(java.io.File template, java.io.File destination, java.util.Map model)` Render the given template to the given destination
    `` | `void` | `render(java.io.File template, java.io.File destination, java.util.Map model, boolean overwrite)` Render the given template to the given destination
    `` | `void` | `render(Resource template, java.io.File destination, Model model)` Render the given template to the give destination for the given model
    `` | `void` | `render(Resource template, java.io.File destination, Model model, boolean overwrite)` Render the given template to the give destination for the given model
    `` | `void` | `render(Resource template, java.io.File destination)` Render the given template to the given destination
    `` | `void` | `render(Resource template, java.io.File destination, java.util.Map model)` Render the given template to the given destination
    `` | `void` | `render(Resource template, java.io.File destination, java.util.Map model, boolean overwrite)` Render the given template to the given destination
    `` | `Resource` | `template(java.lang.Object location)` Find a template at the given location
    `` | `java.lang.Iterable<Resource>` | `templates(java.lang.String pattern)` Find templates matching the given pattern

- - ### Method Detail

    - #### @groovy.transform.CompileDynamic void render(java.util.Map<java.lang.String, java.lang.Object> namedArguments)

      Render with the given named arguments

      Parameters:
        `namedArguments` - The named arguments are 'template', 'destination' and 'model'

    - #### void render(java.lang.CharSequence template, java.io.File destination, Model model)

      Render the given template to the give destination for the given model

      Parameters:
        `template` - The contents template
        `destination` - The destination
        `model` - The model

    - #### void render(java.lang.CharSequence template, java.io.File destination)

      Render the given template to the given destination

      Parameters:
        `template` - The contents of the template
        `destination` - The destination
        `model` - The model

    - #### void render(java.lang.CharSequence template, java.io.File destination, java.util.Map model)

      Render the given template to the given destination

      Parameters:
        `template` - The contents of the template
        `destination` - The destination
        `model` - The model

    - #### void render(java.lang.CharSequence template, java.io.File destination, java.util.Map model, boolean overwrite)

      Render the given template to the given destination

      Parameters:
        `template` - The contents of the template
        `destination` - The destination
        `model` - The model

    - #### void render(java.io.File template, java.io.File destination, Model model)

      Render the given template to the give destination for the given model

      Parameters:
        `template` - The template
        `destination` - The destination
        `model` - The model

    - #### void render(java.io.File template, java.io.File destination)

      Render the given template to the given destination

      Parameters:
        `template` - The template
        `destination` - The destination
        `model` - The model

    - #### void render(java.io.File template, java.io.File destination, java.util.Map model)

      Render the given template to the given destination

      Parameters:
        `template` - The template
        `destination` - The destination
        `model` - The model

    - #### void render(java.io.File template, java.io.File destination, java.util.Map model, boolean overwrite)

      Render the given template to the given destination

      Parameters:
        `template` - The template
        `destination` - The destination
        `model` - The model

    - #### void render(Resource template, java.io.File destination, Model model)

      Render the given template to the give destination for the given model

      Parameters:
        `template` - The contents template
        `destination` - The destination
        `model` - The model

    - #### void render(Resource template, java.io.File destination, Model model, boolean overwrite)

      Render the given template to the give destination for the given model

      Parameters:
        `template` - The contents template
        `destination` - The destination
        `model` - The model

    - #### void render(Resource template, java.io.File destination)

      Render the given template to the given destination

      Parameters:
        `template` - The template
        `destination` - The destination
        `model` - The model

    - #### void render(Resource template, java.io.File destination, java.util.Map model)

      Render the given template to the given destination

      Parameters:
        `template` - The template
        `destination` - The destination
        `model` - The model

    - #### void render(Resource template, java.io.File destination, java.util.Map model, boolean overwrite)

      Render the given template to the given destination

      Parameters:
        `template` - The template
        `destination` - The destination
        `model` - The model

    - #### Resource template(java.lang.Object location)

      Find a template at the given location

      Parameters:
        `location` - The location
      Returns:
        The resource or null if it doesn't exist

    - #### java.lang.Iterable<Resource> templates(java.lang.String pattern)

      Find templates matching the given pattern

      Parameters:
        `pattern` - The pattern
      Returns:
        The available templates